clc;
clear;
close all;

D1=LagOp([1 -1]);
D12=LagOp([1 -1],'Lags',[0 12]);

load Data_Airline;

y=log(Data);
[dy, dyt]=filter(D1,y); % D1(y)
[d12y, d12yt]=filter(D12,y);
[dd12y, dd12yt]=filter(D1*D12,y);

n=numel(y);
XTick=1:(2*12):n;

figure;

% y
subplot(2,2,1);
plot(y);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t');

% dy
subplot(2,2,2);
plot(dyt,dy);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta y_t');

% d12y
subplot(2,2,3);
plot(d12yt,d12y);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta_{12} y_t');

% dd12y
subplot(2,2,4);
plot(dd12yt,dd12y);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta \Delta_{12} y_t');
